
Name:    libshout
Version: 2.0
Release: 0.fdr.0%{?dist_tag}
Summary: icecast source streaming library.
Group:	 System Environment/Libraries 
License: LGPL
URL:     http://www.icecast.org/
Source:	 http://www.icecast.org/files/libshout/libshout-2.0.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
Libshout is a library for communicating with and sending data to an
icecast server.  It handles the socket connection, the timing of the
data, and prevents most bad data from getting to the icecast server.

%package  devel
Summary:  static libraries and header files for %{name} development.
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
The libshout-devel package contains the header files needed for developing
applications that send data to an icecast server.  Install libshout-devel if
you want to develop applications using libshout.


%prep
%setup -q


%build
%configure --disable-static

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}
                                                                                

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%doc examples/example.c
%{_datadir}/aclocal/*.m4
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/shout

# -----------------------------------------------------------------------------

%changelog
* Mon May 10 2004 Rex Dieter <rexdieter at sf.net> 2.0-0.fdr.0
- 2.0

* Wed Jun 04 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.0.9-0.fdr.1: initial RPM release
